<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.openxml4j.exceptions (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.openxml4j.exceptions (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/exceptions/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.openxml4j.exceptions" class="title">Uses of Package<br>org.apache.poi.openxml4j.exceptions
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml">org.apache.poi.ooxml</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml.util">org.apache.poi.ooxml.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.opc">org.apache.poi.openxml4j.opc</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.opc.internal">org.apache.poi.openxml4j.opc.internal</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.opc.internal.marshallers">org.apache.poi.openxml4j.opc.internal.marshallers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.opc.internal.unmarshallers">org.apache.poi.openxml4j.opc.internal.unmarshallers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xddf.usermodel.chart">org.apache.poi.xddf.usermodel.chart</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.extractor">org.apache.poi.xslf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.eventusermodel">org.apache.poi.xssf.eventusermodel</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.extractor">org.apache.poi.xssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.extractor">org.apache.poi.xwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ooxml">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/ooxml/package-summary.html">org.apache.poi.ooxml</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.ooxml">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.ooxml">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ooxml.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.ooxml.extractor">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ooxml.util">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/ooxml/util/package-summary.html">org.apache.poi.ooxml.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.ooxml.util">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidOperationException.html#org.apache.poi.openxml4j.exceptions">InvalidOperationException</a>
                        <div class="block">Throw when an invalid operation is done.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/NotOfficeXmlFileException.html#org.apache.poi.openxml4j.exceptions">NotOfficeXmlFileException</a>
                        <div class="block">This exception is thrown when we try to open a file that doesn't
                            seem to actually be an OOXML (Office Open XML) file after all
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JRuntimeException.html#org.apache.poi.openxml4j.exceptions">OpenXML4JRuntimeException</a>
                        <div class="block">Global exception throws when a critical error occurs (this exception is
                            set as Runtime in order not to force the user to manage the exception in a
                            try/catch).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.openxml4j.opc">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/openxml4j/opc/package-summary.html">org.apache.poi.openxml4j.opc</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.openxml4j.opc">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidOperationException.html#org.apache.poi.openxml4j.opc">InvalidOperationException</a>
                        <div class="block">Throw when an invalid operation is done.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.openxml4j.opc">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.openxml4j.opc.internal">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/openxml4j/opc/internal/package-summary.html">org.apache.poi.openxml4j.opc.internal</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.openxml4j.opc.internal">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidOperationException.html#org.apache.poi.openxml4j.opc.internal">InvalidOperationException</a>
                        <div class="block">Throw when an invalid operation is done.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/NotOfficeXmlFileException.html#org.apache.poi.openxml4j.opc.internal">NotOfficeXmlFileException</a>
                        <div class="block">This exception is thrown when we try to open a file that doesn't
                            seem to actually be an OOXML (Office Open XML) file after all
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.openxml4j.opc.internal">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.openxml4j.opc.internal.marshallers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/openxml4j/opc/internal/marshallers/package-summary.html">org.apache.poi.openxml4j.opc.internal.marshallers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.openxml4j.opc.internal.marshallers">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.openxml4j.opc.internal.unmarshallers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/openxml4j/opc/internal/unmarshallers/package-summary.html">org.apache.poi.openxml4j.opc.internal.unmarshallers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.openxml4j.opc.internal.unmarshallers">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xddf.usermodel.chart">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xddf/usermodel/chart/package-summary.html">org.apache.poi.xddf.usermodel.chart</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.xddf.usermodel.chart">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xslf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xslf/extractor/package-summary.html">org.apache.poi.xslf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xslf.extractor">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.xslf.usermodel">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xslf.usermodel">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.eventusermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xssf/eventusermodel/package-summary.html">org.apache.poi.xssf.eventusermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.xssf.eventusermodel">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xssf.eventusermodel">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xssf/extractor/package-summary.html">org.apache.poi.xssf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xssf.extractor">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.xssf.usermodel">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xssf.usermodel">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xwpf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xwpf/extractor/package-summary.html">org.apache.poi.xwpf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xwpf.extractor">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xwpf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a> used by <a
                        href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/InvalidFormatException.html#org.apache.poi.xwpf.usermodel">InvalidFormatException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/openxml4j/exceptions/class-use/OpenXML4JException.html#org.apache.poi.xwpf.usermodel">OpenXML4JException</a>
                        <div class="block">Global exception throws when a critical error occurs.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/exceptions/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
